oracle.xml.scalable

## Class FilePageManager

- java.lang.Object
- - oracle.xml.scalable.AbstractPageManager
  - - oracle.xml.scalable.FilePageManager

All Implemented Interfaces:
  PageManager

    public class FilePageManager
    extends oracle.xml.scalable.AbstractPageManager

A `PageManger` that stores pages in a file.

### Constructor Summary

Constructors
Constructor and Description
`FilePageManager(java.lang.String filename)` Creates a FilePageManager.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()` Closes the session.
`void` `deletePage(PageManager.PageId id)` Delete the page for the given page id.
`int` `read(byte[] buf, int off, int len)` Read from the given offset into the buffer
`void` `seek(long offset)` Seek to the given offset
`void` `write(byte[] buf, int off, int len)` Write at the given offset from the buffer

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FilePageManager

    public FilePageManager(java.lang.String filename)

Creates a FilePageManager.

Parameters:
  `filename` - - the system-dependent filename

### Method Detail

#### seek

    public void seek(long offset)
              throws java.io.IOException

Seek to the given offset

Throws:
  `java.io.IOException`

#### read

    public int read(byte[] buf,
                    int off,
                    int len)
             throws java.io.IOException

Read from the given offset into the buffer

Parameters:
  `buf` - - result buffer
  `off` - - offset to start reading from
  `len` - - number of bytes to read
Returns:
  - number of bytes read
Throws:
  `java.io.IOException`

#### write

    public void write(byte[] buf,
                      int off,
                      int len)
               throws java.io.IOException

Write at the given offset from the buffer

Parameters:
  `buf` - - input buffer
  `off` - - offset to start writing from
  `len` - - number of bytes to write
Throws:
  `java.io.IOException`

#### deletePage

    public void deletePage(PageManager.PageId id)

Delete the page for the given page id.

Specified by:
  `deletePage` in interface `PageManager`
Parameters:
  `id` - - an Object containing the page Id.

#### close

    public void close()

Closes the session.

Specified by:
  `close` in interface `PageManager`

Copyright © 2003, 2017, Oracle and/or its affiliates. All rights reserved.